@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}

.slider {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.slide {
    position: absolute;
    width: 100%;
    height: 100%;
    background-size: cover; /* Ensures the image covers the entire div */
    background-position: center; /* Centers the image */
    background-repeat: no-repeat; /* Prevents the image from repeating */
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.active {
    opacity: 1;
}

#sidebar-page {
    width: 350px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: transparent;
    position: absolute;
    z-index: 99;
}

.sidebar-page-content a {
    padding: 7px;
    width: fit-content;
    padding-left: 20px;
    padding-right: 20px;
    background-color: #ffffff;
    text-decoration: none;
    color: #000;
    display: block;
    font-family: "Inter", serif;
    text-align: center;
    margin-bottom: 2px;
    text-transform: uppercase;
    font-weight: 500;
    font-size: 15px;
}


.sidebar-page-content .xclosebt {
    background-color: #fa5d4e;
    color: white;
}

.navbar-content a {
    padding: 12px;
    width: fit-content;
    padding-left: 20px;
    padding-right: 20px;
    background-color: #fa5d4e;
    color: white;
    text-decoration: none;
    display: block;
    font-family: "Inter", serif;
    text-align: center;
    margin-bottom: 2px;
    text-transform: uppercase;
    font-weight: 500;
    font-size: 12px;
}

.sidebar-page-content-button {
    padding-top: 4vh;
    padding-left: 20px;
}

.sidebar-page-content-button button {
    width: 35px;
    height: 35px;
    border: 3px solid #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 10px;
    border-radius: 50%;
    cursor: pointer;
    transition: 0.5s;
    background-color: transparent;
}

.sidebar-page-content-button button:hover {
    background-color: #00000068;
}

.sidebar-page-content-button button img {
    width: 25px;
}

.sliding-txt-section {
    position: absolute;
    z-index: 99;
    width: 55%;
    font-family: "Open Sans", sans-serif;
    text-align: right;
    color: white;
    text-shadow: 5px 2px 4px black;
    right: 25px;
    bottom: 40px;
}

.sliding-txt-section-title {
    font-size: 45px;
}

.logo-section {
    padding-bottom: 20px;
}

.logo-section img {
    width: 250px;
}

@media screen and (min-width: 1400px) {
    .logo-section img {
        width: 135px;
    }
    .sidebar-page-content a {
        padding: 14px;
        font-size: 14px;
    }

    .sidebar-page-content-button button {
        width: 45px;
        height: 45px;
    }
}

@media screen and (min-width: 676px) {
    .sliding-txt-section {
        width: 65%;
    }
}

#navbar-main {
    display: none;
}


@media screen and (max-width: 676px) {
    .sliding-txt-section {
        display: none;
    }

    .sidebar-page-content-pc {
        display: none;
    }
    #sidebar-page {
        align-items: end;
    }
    #navbar-main {
        display: block;
    }
}

@media screen and (max-height: 476px) {
    .logo-section {
        padding-bottom: 10px;
    }
}

.navbar {
    width: 100%;
    padding-top: 20px;
    padding-bottom: 20px;
    background-color: #000000b1;
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    z-index: 99;
}

.navbar-top {
    display: flex;
    gap: 10px;
    padding-bottom: 10px;
    align-items: center;
}

.navbar-top img {
    width: 95px;
}

.navbar-top select {
    height: 35px;
    padding-left: 10px;
    padding-right: 10px;
}

.navbar-content {
    width: 94%;
    margin: 0 auto;
}